---
features:
  secondary:
    - name: "Expand package managers and languages supported by Dependency Scanning"
      available_in: [ultimate]
      gitlab_com: true
      documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#supported-languages-and-package-managers'
      reporter: NicoleSchwartz
      stage: application_security_testing
      categories:
        - Dependency Scanning
      epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/2625'
      description: |
        We are pleased to add Dependency Scans for C, C++, C#, and .Net projects that use NuGet 4.9+ or Conan package managers to our [supported languages and frameworks](https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#supported-languages-and-package-managers). As part of our Secure stage, you can enable Dependency Scanning to check the dependencies included via package managers for known vulnerabilities. These vulnerabilities will be shown in your merge request, along with their severity level, so you can know before merging what risks that new dependency may introduce. You can also configure your project to require a [merge request approval](https://docs.gitlab.com/ee/user/project/merge_requests/approvals/) for any vulnerabilities with severity Critical, High, or Unknown.
